Unit tests failing under Python 3

Bug #1722111 reported by Thomas Goirand on 2017-10-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
os-xenapi
Undecided
Unassigned

Bug Description

Because files under os_xenapi/dom0/etc/xapi.d/plugins/ are not Python 3 compatible, unit tests are failing when running with Python 3. I tried to fix a few of the files using the wonderful sixer tool from Victor Stinner, however it broke the tests under Python 2.7.

Please fix this ASAP.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers